diff -Nru /tmp/5UuG1p2pGk/debootstrap-1.0.7/debian/changelog /tmp/6UbBBDG1YH/debootstrap-1.0.8/debian/changelog
--- /tmp/5UuG1p2pGk/debootstrap-1.0.7/debian/changelog	2007-11-14 12:16:06.000000000 +0100
+++ /tmp/6UbBBDG1YH/debootstrap-1.0.8/debian/changelog	2007-11-20 00:04:34.000000000 +0100
@@ -1,3 +1,11 @@
+debootstrap (1.0.8) UNRELEASED; urgency=low
+
+  * scripts/debian/sid: Add support for essential variant. 
+  * scripts/ubuntu/gutsy: Likewise.
+  * debootstrap, debootstrap.8: Document it.
+
+ -- Michael Banck <mbanck@debian.org>  Mon, 19 Nov 2007 23:58:49 +0100
+
 debootstrap (1.0.7) unstable; urgency=low
 
   * No longer include full devices tarball in udeb.
diff -Nru /tmp/5UuG1p2pGk/debootstrap-1.0.7/debootstrap /tmp/6UbBBDG1YH/debootstrap-1.0.8/debootstrap
--- /tmp/5UuG1p2pGk/debootstrap-1.0.7/debootstrap	2007-11-14 02:33:25.000000000 +0100
+++ /tmp/6UbBBDG1YH/debootstrap-1.0.8/debootstrap	2007-11-19 23:51:32.000000000 +0100
@@ -81,7 +81,8 @@
       --components=A,B,C     use packages from the listed components of the
                              archive
       --variant=X            use variant X of the bootstrap scripts
-                             (currently supported variants: buildd, fakechroot)
+                             (currently supported variants: buildd, fakechroot,
+                             essential)
       --keyring=K            check Release files against keyring K
       --no-resolve-deps      don't try to resolve dependencies automatically
 
diff -Nru /tmp/5UuG1p2pGk/debootstrap-1.0.7/debootstrap.8 /tmp/6UbBBDG1YH/debootstrap-1.0.8/debootstrap.8
--- /tmp/5UuG1p2pGk/debootstrap-1.0.7/debootstrap.8	2007-10-19 12:46:05.000000000 +0200
+++ /tmp/6UbBBDG1YH/debootstrap-1.0.8/debootstrap.8	2007-11-20 00:01:42.000000000 +0100
@@ -61,11 +61,13 @@
 to specify the entire base system than rely on this option. With this
 option set, this behaviour is disabled.
 .IP
-.IP "\fB\-\-variant=buildd|fakechroot\fP"
+.IP "\fB\-\-variant=buildd|fakechroot|essential\fP"
 Name of the bootstrap script variant to use.  Currently, the variant
 supported are buildd, which installs the build-essential packages into
-.IR TARGET
-and fakechroot, which installs the packages without root privileges.
+.IR TARGET ,
+fakechroot, which installs the packages without root privileges and 
+essential, which installs only the essential packages into 
+.IR TARGET .
 The default, with no \fB\-\-variant=X\fP argument, is to create a base
 Debian installation in
 .IR TARGET .
diff -Nru /tmp/5UuG1p2pGk/debootstrap-1.0.7/scripts/debian/sid /tmp/6UbBBDG1YH/debootstrap-1.0.8/scripts/debian/sid
--- /tmp/5UuG1p2pGk/debootstrap-1.0.7/scripts/debian/sid	2007-10-20 18:45:10.000000000 +0200
+++ /tmp/6UbBBDG1YH/debootstrap-1.0.8/scripts/debian/sid	2007-11-20 02:02:11.000000000 +0100
@@ -9,7 +9,7 @@
 mirror_style release
 download_style apt
 finddebs_style from-indices
-variants - buildd fakechroot
+variants - buildd fakechroot essential
 
 if doing_variant fakechroot; then
     test "$FAKECHROOT" = "true" || error 1 FAKECHROOTREQ "This variant requires fakechroot environment to be started"
@@ -31,6 +31,8 @@
       base="$(get_debs Priority: important)"
     elif doing_variant buildd; then
       base="$(get_debs Build-Essential: yes)"
+    elif doing_variant essential; then
+      base=""
     fi
 
     if doing_variant fakechroot; then 
@@ -172,18 +174,22 @@
 
     info UNPACKBASE "Unpacking the base system..."
 
-    smallyes '' | 
-     (repeat 5 in_target_failmsg INST_BASE_FAIL_FIVE "Failure while installing base packages.  This will be re-attempted up to five times." "" \
-       dpkg --status-fd 8 --force-overwrite --force-confold --skip-same-version --unpack $(debfor $base) 8>&1 1>&7 || echo EXITCODE $?) |
-     dpkg_progress $baseprog $bases UNPACKBASE "Unpacking base system" UNPACKING
+    if [ $bases -gt 0 ]; then
+      smallyes '' |
+       (repeat 5 in_target_failmsg INST_BASE_FAIL_FIVE "Failure while installing base packages.  This will be re-attempted up to five times." "" \
+         dpkg --status-fd 8 --force-overwrite --force-confold --skip-same-version --unpack $(debfor $base) 8>&1 1>&7 || echo EXITCODE $?) |
+       dpkg_progress $baseprog $bases UNPACKBASE "Unpacking base system" UNPACKING
+    fi
 
     info CONFBASE "Configuring the base system..."
 
-    smallyes '' |
-     (repeat 5 \
-      in_target_failmsg CONF_BASE_FAIL "Failure while configuring base packages." "" \
-      dpkg --status-fd 8 --force-confold --skip-same-version --configure -a 8>&1 1>&7 || echo EXITCODE $?) |
-     dpkg_progress $baseprog $bases CONFBASE "Configuring base system" CONFIGURING
+    if [ $bases -gt 0 ]; then
+      smallyes '' |
+       (repeat 5 \
+        in_target_failmsg CONF_BASE_FAIL "Failure while configuring base packages." "" \
+        dpkg --status-fd 8 --force-confold --skip-same-version --configure -a 8>&1 1>&7 || echo EXITCODE $?) |
+       dpkg_progress $baseprog $bases CONFBASE "Configuring base system" CONFIGURING
+    fi
   
     mv "$TARGET/sbin/start-stop-daemon.REAL" "$TARGET/sbin/start-stop-daemon"
 
diff -Nru /tmp/5UuG1p2pGk/debootstrap-1.0.7/scripts/ubuntu/gutsy /tmp/6UbBBDG1YH/debootstrap-1.0.8/scripts/ubuntu/gutsy
--- /tmp/5UuG1p2pGk/debootstrap-1.0.7/scripts/ubuntu/gutsy	2007-10-20 18:45:10.000000000 +0200
+++ /tmp/6UbBBDG1YH/debootstrap-1.0.8/scripts/ubuntu/gutsy	2007-11-19 23:58:00.000000000 +0100
@@ -9,7 +9,7 @@
 mirror_style release
 download_style apt
 finddebs_style from-indices
-variants - buildd fakechroot
+variants - buildd fakechroot essential
 
 if doing_variant fakechroot; then
     test "$FAKECHROOT" = "true" || error 1 FAKECHROOTREQ "This variant requires fakechroot environment to be started"
@@ -27,7 +27,7 @@
       base="$(get_debs Priority: important)"
     elif doing_variant buildd; then
       base="$(get_debs Build-Essential: yes)"
-    elif doing_variant fakechroot; then
+    elif doing_variant fakechroot || doing_variant essential; then
       base="apt"
     fi
 }
